> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# Delete Provider Resource

DELETE https://api.vapi.ai/provider/{provider}/{resourceName}/{id}

Reference: https://docs.vapi.ai/api-reference/provider-resources/provider-resource-controller-delete-provider-resource

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /provider/{provider}/{resourceName}/{id}:
    delete:
      operationId: provider-resource-controller-delete-provider-resource
      summary: Delete Provider Resource
      tags:
        - subpackage_providerResources
      parameters:
        - name: provider
          in: path
          description: The provider (e.g., 11labs)
          required: true
          schema:
            $ref: >-
              #/components/schemas/ProviderProviderResourceNameIdDeleteParametersProvider
        - name: resourceName
          in: path
          description: The resource name (e.g., pronunciation-dictionary)
          required: true
          schema:
            $ref: >-
              #/components/schemas/ProviderProviderResourceNameIdDeleteParametersResourceName
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderResource'
        '404':
          description: Provider resource not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    ProviderProviderResourceNameIdDeleteParametersProvider:
      type: string
      enum:
        - cartesia
        - 11labs
      title: ProviderProviderResourceNameIdDeleteParametersProvider
    ProviderProviderResourceNameIdDeleteParametersResourceName:
      type: string
      enum:
        - pronunciation-dictionary
      title: ProviderProviderResourceNameIdDeleteParametersResourceName
    ProviderResourceProvider:
      type: string
      enum:
        - cartesia
        - 11labs
      description: This is the provider that manages this resource.
      title: ProviderResourceProvider
    ProviderResourceResourceName:
      type: string
      enum:
        - pronunciation-dictionary
      description: This is the name/type of the resource.
      title: ProviderResourceResourceName
    ProviderResourceResource:
      type: object
      properties: {}
      description: This is the full resource data from the provider's API.
      title: ProviderResourceResource
    ProviderResource:
      type: object
      properties:
        id:
          type: string
          description: This is the unique identifier for the provider resource.
        orgId:
          type: string
          description: >-
            This is the unique identifier for the org that this provider
            resource belongs to.
        createdAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the provider resource
            was created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the provider resource
            was last updated.
        provider:
          $ref: '#/components/schemas/ProviderResourceProvider'
          description: This is the provider that manages this resource.
        resourceName:
          $ref: '#/components/schemas/ProviderResourceResourceName'
          description: This is the name/type of the resource.
        resourceId:
          type: string
          description: This is the provider-specific identifier for the resource.
        resource:
          $ref: '#/components/schemas/ProviderResourceResource'
          description: This is the full resource data from the provider's API.
      required:
        - id
        - orgId
        - createdAt
        - updatedAt
        - provider
        - resourceName
        - resourceId
        - resource
      title: ProviderResource
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.provider_resources.provider_resource_controller_delete_provider_resource(
    provider="cartesia",
    resource_name="pronunciation-dictionary",
    id="id",
)

```

```go
package example

import (
    context "context"

    serversdkgo "github.com/VapiAI/server-sdk-go"
    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    request := &serversdkgo.ProviderResourceControllerDeleteProviderResourceRequest{
        Provider: serversdkgo.ProviderResourceControllerDeleteProviderResourceRequestProviderCartesia.Ptr(),
        ResourceName: serversdkgo.ProviderResourceControllerDeleteProviderResourceRequestResourceNamePronunciationDictionary.Ptr(),
        Id: "id",
    }
    client.ProviderResources.ProviderResourceControllerDeleteProviderResource(
        context.TODO(),
        request,
    )
}

```